#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_res(double* yy, double* t1_yy, double* der_x, double* t1_der_x, double* x, double* t1_x, double* p, double* t1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t1_x p t1_p
#pragma ad dep yy t1_yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double par_eta=0; 
   double t1_par_eta=0; 
   double par_cA0=0; 
   double t1_par_cA0=0; 
   double par_cB0=0; 
   double t1_par_cB0=0; 
   double par_cC0=0; 
   double t1_par_cC0=0; 
   double par_K1=0; 
   double t1_par_K1=0; 
   double par_K2=0; 
   double t1_par_K2=0; 
   double par_K3=0; 
   double t1_par_K3=0; 
   double par_K4=0; 
   double t1_par_K4=0; 
   double par_R=0; 
   double t1_par_R=0; 
   double var_cA=0; 
   double t1_var_cA=0; 
   double der_var_cA=0; 
   double t1_der_var_cA=0; 
   double var_cB=0; 
   double t1_var_cB=0; 
   double der_var_cB=0; 
   double t1_der_var_cB=0; 
   double var_cC=0; 
   double t1_var_cC=0; 
   double der_var_cC=0; 
   double t1_der_var_cC=0; 
   double var_r1=0; 
   double t1_var_r1=0; 
   double der_var_r1=0; 
   double t1_der_var_r1=0; 
   double var_r2=0; 
   double t1_var_r2=0; 
   double der_var_r2=0; 
   double t1_der_var_r2=0; 
   double var_y=0; 
   double t1_var_y=0; 
   double der_var_y=0; 
   double t1_der_var_y=0; 
   double var_summand=0; 
   double t1_var_summand=0; 
   double der_var_summand=0; 
   double t1_der_var_summand=0; 
   double var_summandstart=0; 
   double t1_var_summandstart=0; 
   double der_var_summandstart=0; 
   double t1_der_var_summandstart=0; 
   double var_i_expr=0; 
   double t1_var_i_expr=0; 
   double var_div0=0; 
   double t1_var_div0=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   double v1_16=0; 
   double t1_v1_16=0; 
   double v1_17=0; 
   double t1_v1_17=0; 
   double v1_18=0; 
   double t1_v1_18=0; 
   double v1_19=0; 
   double t1_v1_19=0; 
   double v1_20=0; 
   double t1_v1_20=0; 
   double v1_21=0; 
   double t1_v1_21=0; 
   double v1_22=0; 
   double t1_v1_22=0; 
   double v1_23=0; 
   double t1_v1_23=0; 
   double v1_24=0; 
   double t1_v1_24=0; 
   double v1_25=0; 
   double t1_v1_25=0; 
   double v1_26=0; 
   double t1_v1_26=0; 
   double v1_27=0; 
   double t1_v1_27=0; 
   double v1_28=0; 
   double t1_v1_28=0; 
   double v1_29=0; 
   double t1_v1_29=0; 
   double v1_30=0; 
   double t1_v1_30=0; 
   double v1_31=0; 
   double t1_v1_31=0; 
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_par_eta=t1_v1_0; // TLM =
   par_eta=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_par_cA0=t1_v1_0; // TLM =
   par_cA0=v1_0; // SAC =
   t1_v1_0=t1_p[2]; // TLM array memory reference
   v1_0=p[2]; // SAC array memory reference
   t1_par_cB0=t1_v1_0; // TLM =
   par_cB0=v1_0; // SAC =
   t1_v1_0=t1_p[3]; // TLM array memory reference
   v1_0=p[3]; // SAC array memory reference
   t1_par_cC0=t1_v1_0; // TLM =
   par_cC0=v1_0; // SAC =
   t1_v1_0=t1_p[4]; // TLM array memory reference
   v1_0=p[4]; // SAC array memory reference
   t1_par_K1=t1_v1_0; // TLM =
   par_K1=v1_0; // SAC =
   t1_v1_0=t1_p[5]; // TLM array memory reference
   v1_0=p[5]; // SAC array memory reference
   t1_par_K2=t1_v1_0; // TLM =
   par_K2=v1_0; // SAC =
   t1_v1_0=t1_p[6]; // TLM array memory reference
   v1_0=p[6]; // SAC array memory reference
   t1_par_K3=t1_v1_0; // TLM =
   par_K3=v1_0; // SAC =
   t1_v1_0=t1_p[7]; // TLM array memory reference
   v1_0=p[7]; // SAC array memory reference
   t1_par_K4=t1_v1_0; // TLM =
   par_K4=v1_0; // SAC =
   t1_v1_0=t1_p[8]; // TLM array memory reference
   v1_0=p[8]; // SAC array memory reference
   t1_par_R=t1_v1_0; // TLM =
   par_R=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_var_cA=t1_v1_0; // TLM =
   var_cA=v1_0; // SAC =
   t1_v1_0=t1_der_x[0]; // TLM array memory reference
   v1_0=der_x[0]; // SAC array memory reference
   t1_der_var_cA=t1_v1_0; // TLM =
   der_var_cA=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_var_cB=t1_v1_0; // TLM =
   var_cB=v1_0; // SAC =
   t1_v1_0=t1_der_x[1]; // TLM array memory reference
   v1_0=der_x[1]; // SAC array memory reference
   t1_der_var_cB=t1_v1_0; // TLM =
   der_var_cB=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_var_cC=t1_v1_0; // TLM =
   var_cC=v1_0; // SAC =
   t1_v1_0=t1_der_x[2]; // TLM array memory reference
   v1_0=der_x[2]; // SAC array memory reference
   t1_der_var_cC=t1_v1_0; // TLM =
   der_var_cC=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_var_r1=t1_v1_0; // TLM =
   var_r1=v1_0; // SAC =
   t1_v1_0=t1_der_x[3]; // TLM array memory reference
   v1_0=der_x[3]; // SAC array memory reference
   t1_der_var_r1=t1_v1_0; // TLM =
   der_var_r1=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_var_r2=t1_v1_0; // TLM =
   var_r2=v1_0; // SAC =
   t1_v1_0=t1_der_x[4]; // TLM array memory reference
   v1_0=der_x[4]; // SAC array memory reference
   t1_der_var_r2=t1_v1_0; // TLM =
   der_var_r2=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_var_y=t1_v1_0; // TLM =
   var_y=v1_0; // SAC =
   t1_v1_0=t1_der_x[5]; // TLM array memory reference
   v1_0=der_x[5]; // SAC array memory reference
   t1_der_var_y=t1_v1_0; // TLM =
   der_var_y=v1_0; // SAC =
   t1_v1_0=t1_x[6]; // TLM array memory reference
   v1_0=x[6]; // SAC array memory reference
   t1_var_summand=t1_v1_0; // TLM =
   var_summand=v1_0; // SAC =
   t1_v1_0=t1_der_x[6]; // TLM array memory reference
   v1_0=der_x[6]; // SAC array memory reference
   t1_der_var_summand=t1_v1_0; // TLM =
   der_var_summand=v1_0; // SAC =
   t1_v1_0=t1_x[7]; // TLM array memory reference
   v1_0=x[7]; // SAC array memory reference
   t1_var_summandstart=t1_v1_0; // TLM =
   var_summandstart=v1_0; // SAC =
   t1_v1_0=t1_der_x[7]; // TLM array memory reference
   v1_0=der_x[7]; // SAC array memory reference
   t1_der_var_summandstart=t1_v1_0; // TLM =
   der_var_summandstart=v1_0; // SAC =
   t1_v1_0=t1_der_var_cA; // TLM scalar memory reference
   v1_0=der_var_cA; // SAC scalar memory reference
   t1_v1_1=t1_var_r1; // TLM scalar memory reference
   v1_1=var_r1; // SAC scalar memory reference
   t1_v1_2=0-t1_v1_1; // TLM -
   v1_2=0-v1_1; // SAC -
   t1_v1_3=t1_v1_2; // TLM ()
   v1_3=v1_2; // SAC ()
   t1_v1_4=t1_v1_0-t1_v1_3; // TLM -
   v1_4=v1_0-v1_3; // SAC -
   t1_yy[i_E]=t1_v1_4; // TLM =
   yy[i_E]=v1_4; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_der_var_cB; // TLM scalar memory reference
   v1_0=der_var_cB; // SAC scalar memory reference
   t1_v1_1=t1_var_r1; // TLM scalar memory reference
   v1_1=var_r1; // SAC scalar memory reference
   t1_v1_2=0;  // TLM constant reference
   v1_2=2;  // SAC constant reference
   t1_v1_3=t1_var_r2; // TLM scalar memory reference
   v1_3=var_r2; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=t1_v1_1-t1_v1_4; // TLM -
   v1_5=v1_1-v1_4; // SAC -
   t1_v1_6=t1_v1_5; // TLM ()
   v1_6=v1_5; // SAC ()
   t1_v1_7=t1_v1_0-t1_v1_6; // TLM -
   v1_7=v1_0-v1_6; // SAC -
   t1_yy[i_E]=t1_v1_7; // TLM =
   yy[i_E]=v1_7; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_der_var_cC; // TLM scalar memory reference
   v1_0=der_var_cC; // SAC scalar memory reference
   t1_v1_1=t1_var_r1; // TLM scalar memory reference
   v1_1=var_r1; // SAC scalar memory reference
   t1_v1_2=t1_var_r2; // TLM scalar memory reference
   v1_2=var_r2; // SAC scalar memory reference
   t1_v1_3=t1_v1_1+t1_v1_2; // TLM +
   v1_3=v1_1+v1_2; // SAC +
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_v1_0-t1_v1_4; // TLM -
   v1_5=v1_0-v1_4; // SAC -
   t1_yy[i_E]=t1_v1_5; // TLM =
   yy[i_E]=v1_5; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_r1; // TLM scalar memory reference
   v1_0=var_r1; // SAC scalar memory reference
   t1_v1_1=t1_par_K1; // TLM scalar memory reference
   v1_1=par_K1; // SAC scalar memory reference
   t1_v1_2=t1_var_cA; // TLM scalar memory reference
   v1_2=var_cA; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_par_K2; // TLM scalar memory reference
   v1_4=par_K2; // SAC scalar memory reference
   t1_v1_5=t1_var_cB; // TLM scalar memory reference
   v1_5=var_cB; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_var_cC; // TLM scalar memory reference
   v1_7=var_cC; // SAC scalar memory reference
   t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
   v1_8=v1_6*v1_7; // SAC *
   t1_v1_9=t1_v1_3-t1_v1_8; // TLM -
   v1_9=v1_3-v1_8; // SAC -
   t1_v1_10=t1_v1_9; // TLM ()
   v1_10=v1_9; // SAC ()
   t1_v1_11=t1_v1_0-t1_v1_10; // TLM -
   v1_11=v1_0-v1_10; // SAC -
   t1_yy[i_E]=t1_v1_11; // TLM =
   yy[i_E]=v1_11; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_r2; // TLM scalar memory reference
   v1_0=var_r2; // SAC scalar memory reference
   t1_v1_1=t1_par_K3; // TLM scalar memory reference
   v1_1=par_K3; // SAC scalar memory reference
   t1_v1_2=t1_var_cB; // TLM scalar memory reference
   v1_2=var_cB; // SAC scalar memory reference
   t1_v1_3=v1_2*t1_v1_1+v1_1*t1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   t1_v1_4=t1_var_cB; // TLM scalar memory reference
   v1_4=var_cB; // SAC scalar memory reference
   t1_v1_5=v1_4*t1_v1_3+v1_3*t1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   t1_v1_6=t1_par_K4; // TLM scalar memory reference
   v1_6=par_K4; // SAC scalar memory reference
   t1_v1_7=t1_var_cC; // TLM scalar memory reference
   v1_7=var_cC; // SAC scalar memory reference
   t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
   v1_8=v1_6*v1_7; // SAC *
   t1_v1_9=t1_v1_5-t1_v1_8; // TLM -
   v1_9=v1_5-v1_8; // SAC -
   t1_v1_10=t1_v1_9; // TLM ()
   v1_10=v1_9; // SAC ()
   t1_v1_11=t1_v1_0-t1_v1_10; // TLM -
   v1_11=v1_0-v1_10; // SAC -
   t1_yy[i_E]=t1_v1_11; // TLM =
   yy[i_E]=v1_11; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_y; // TLM scalar memory reference
   v1_0=var_y; // SAC scalar memory reference
   t1_v1_1=0;  // TLM constant reference
   v1_1=32.84;  // SAC constant reference
   t1_v1_2=t1_var_cA; // TLM scalar memory reference
   v1_2=var_cA; // SAC scalar memory reference
   t1_v1_3=t1_var_cB; // TLM scalar memory reference
   v1_3=var_cB; // SAC scalar memory reference
   t1_v1_4=t1_v1_2+t1_v1_3; // TLM +
   v1_4=v1_2+v1_3; // SAC +
   t1_v1_5=t1_var_cC; // TLM scalar memory reference
   v1_5=var_cC; // SAC scalar memory reference
   t1_v1_6=t1_v1_4+t1_v1_5; // TLM +
   v1_6=v1_4+v1_5; // SAC +
   t1_v1_7=t1_v1_6; // TLM ()
   v1_7=v1_6; // SAC ()
   t1_v1_8=v1_7*t1_v1_1+v1_1*t1_v1_7; // TLM *
   v1_8=v1_1*v1_7; // SAC *
   t1_v1_9=t1_v1_8; // TLM ()
   v1_9=v1_8; // SAC ()
   t1_v1_10=t1_v1_0-t1_v1_9; // TLM -
   v1_10=v1_0-v1_9; // SAC -
   t1_yy[i_E]=t1_v1_10; // TLM =
   yy[i_E]=v1_10; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_y; // TLM scalar memory reference
   v1_0=var_y; // SAC scalar memory reference
   t1_v1_1=t1_par_eta; // TLM scalar memory reference
   v1_1=par_eta; // SAC scalar memory reference
   t1_v1_2=t1_v1_0-t1_v1_1; // TLM -
   v1_2=v1_0-v1_1; // SAC -
   t1_v1_3=t1_v1_2; // TLM ()
   v1_3=v1_2; // SAC ()
   t1_var_i_expr=t1_v1_3; // TLM =
   var_i_expr=v1_3; // SAC =
   t1_acs_div(var_i_expr,t1_var_i_expr,par_R,t1_par_R,var_div0,t1_var_div0);
   t1_v1_0=t1_var_summand; // TLM scalar memory reference
   v1_0=var_summand; // SAC scalar memory reference
   t1_v1_1=t1_var_y; // TLM scalar memory reference
   v1_1=var_y; // SAC scalar memory reference
   t1_v1_2=t1_par_eta; // TLM scalar memory reference
   v1_2=par_eta; // SAC scalar memory reference
   t1_v1_3=t1_v1_1-t1_v1_2; // TLM -
   v1_3=v1_1-v1_2; // SAC -
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_var_div0; // TLM scalar memory reference
   v1_5=var_div0; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=t1_v1_6; // TLM ()
   v1_7=v1_6; // SAC ()
   t1_v1_8=t1_v1_0-t1_v1_7; // TLM -
   v1_8=v1_0-v1_7; // SAC -
   t1_yy[i_E]=t1_v1_8; // TLM =
   yy[i_E]=v1_8; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   t1_v1_0=t1_var_summandstart; // TLM scalar memory reference
   v1_0=var_summandstart; // SAC scalar memory reference
   t1_v1_1=t1_var_cA; // TLM scalar memory reference
   v1_1=var_cA; // SAC scalar memory reference
   t1_v1_2=t1_par_cA0; // TLM scalar memory reference
   v1_2=par_cA0; // SAC scalar memory reference
   t1_v1_3=t1_v1_1-t1_v1_2; // TLM -
   v1_3=v1_1-v1_2; // SAC -
   t1_v1_4=t1_v1_3; // TLM ()
   v1_4=v1_3; // SAC ()
   t1_v1_5=t1_var_cA; // TLM scalar memory reference
   v1_5=var_cA; // SAC scalar memory reference
   t1_v1_6=t1_par_cA0; // TLM scalar memory reference
   v1_6=par_cA0; // SAC scalar memory reference
   t1_v1_7=t1_v1_5-t1_v1_6; // TLM -
   v1_7=v1_5-v1_6; // SAC -
   t1_v1_8=t1_v1_7; // TLM ()
   v1_8=v1_7; // SAC ()
   t1_v1_9=v1_8*t1_v1_4+v1_4*t1_v1_8; // TLM *
   v1_9=v1_4*v1_8; // SAC *
   t1_v1_10=t1_var_cB; // TLM scalar memory reference
   v1_10=var_cB; // SAC scalar memory reference
   t1_v1_11=t1_par_cB0; // TLM scalar memory reference
   v1_11=par_cB0; // SAC scalar memory reference
   t1_v1_12=t1_v1_10-t1_v1_11; // TLM -
   v1_12=v1_10-v1_11; // SAC -
   t1_v1_13=t1_v1_12; // TLM ()
   v1_13=v1_12; // SAC ()
   t1_v1_14=t1_var_cB; // TLM scalar memory reference
   v1_14=var_cB; // SAC scalar memory reference
   t1_v1_15=t1_par_cB0; // TLM scalar memory reference
   v1_15=par_cB0; // SAC scalar memory reference
   t1_v1_16=t1_v1_14-t1_v1_15; // TLM -
   v1_16=v1_14-v1_15; // SAC -
   t1_v1_17=t1_v1_16; // TLM ()
   v1_17=v1_16; // SAC ()
   t1_v1_18=v1_17*t1_v1_13+v1_13*t1_v1_17; // TLM *
   v1_18=v1_13*v1_17; // SAC *
   t1_v1_19=t1_v1_9+t1_v1_18; // TLM +
   v1_19=v1_9+v1_18; // SAC +
   t1_v1_20=t1_var_cC; // TLM scalar memory reference
   v1_20=var_cC; // SAC scalar memory reference
   t1_v1_21=t1_par_cC0; // TLM scalar memory reference
   v1_21=par_cC0; // SAC scalar memory reference
   t1_v1_22=t1_v1_20-t1_v1_21; // TLM -
   v1_22=v1_20-v1_21; // SAC -
   t1_v1_23=t1_v1_22; // TLM ()
   v1_23=v1_22; // SAC ()
   t1_v1_24=t1_var_cC; // TLM scalar memory reference
   v1_24=var_cC; // SAC scalar memory reference
   t1_v1_25=t1_par_cC0; // TLM scalar memory reference
   v1_25=par_cC0; // SAC scalar memory reference
   t1_v1_26=t1_v1_24-t1_v1_25; // TLM -
   v1_26=v1_24-v1_25; // SAC -
   t1_v1_27=t1_v1_26; // TLM ()
   v1_27=v1_26; // SAC ()
   t1_v1_28=v1_27*t1_v1_23+v1_23*t1_v1_27; // TLM *
   v1_28=v1_23*v1_27; // SAC *
   t1_v1_29=t1_v1_19+t1_v1_28; // TLM +
   v1_29=v1_19+v1_28; // SAC +
   t1_v1_30=t1_v1_29; // TLM ()
   v1_30=v1_29; // SAC ()
   t1_v1_31=t1_v1_0-t1_v1_30; // TLM -
   v1_31=v1_0-v1_30; // SAC -
   t1_yy[i_E]=t1_v1_31; // TLM =
   yy[i_E]=v1_31; // SAC =
   // nonfloat assignment
   i_E=i_E+1;
   // nonfloat assignment
   n_c=i_C;
}
